Subject: RE: [PWE3] MPLS PID

From: Alia Atlas <[email-masked]>
Date: Mon, 31 Mar 2003 22:28:49 -0500

At 02:40 PM 3/31/2003 -0800, Shahram Davari wrote:
>I agree with Lloyd. Sniffing IP packets in the middle of an MPLS network 
>is fundamentally wrong, and is impossible to do for all ECMP 
>implementations such as the one that I described in earlier emails in 
>which both the first nibble and the CRC are used to detect IP.

I don't believe that it is at all impossible to use the first nibble to 
determine a potential IPv4 packet and then use the header checksum to 
confirm it.  This method works just fine.

>The best way to solve this problem is to do ECMP only based on label 
>stack. Doing so should be
>easier than introducing new standard.

But doing ECMP on the label stack yields much larger micro-flows than doing 
ECMP based upon the IP headers inside, if possible.  Thus, there is worse 
load-balancing of the flows across the network.

Alia